Bug#552137: No sound in-/output on OSS

Klaus Ethgen Klaus at Ethgen.de
Fri Oct 23 16:03:28 UTC 2009

Hash: SHA512

Package: audacity
Version: 1.3.9-6
Severity: important

OSS output is complete broken. I am able to choose it in the
"Einstellungen" dialog but I cannot choose any devices.

As I noticed there is no other sound device system I can choose.

For information, my output of /dev/sndstat:
 OSS 4.2 (b 2000/200909092208) (C) 4Front Technologies 1996-2009

 License serial number: N02711010
 This copy of OSS is licensed to Klaus Ethgen

 Audio devices:
 0: Intel ICH6 (266E) (DUPLEX)

 MIDI devices:

 0: ICH AC97 Mixer (AD1981B)

 NOTICE! Device numbers shown above may be wrong.
         Use the ossinfo command to find out the correct device names.

ossinfo give the following information:
 Version info: OSS 4.2 (b 2000/200909092208) (0x00040100) 
 Platform: Linux/i686 #1 Tue Oct 20 15:43:53 CET 2009 (tha)

 Number of audio devices:	1
 Number of audio engines:	6
 Number of MIDI devices:		0
 Number of mixer devices:	1

 Device objects
  0: osscore0 OSS core services
  1: oss_ich0 Intel ICH6 (266E) interrupts=11491730 (12165082)
  2: oss_usb0 USB audio core services

 MIDI devices (/dev/midi*)

 Mixer devices
  0: ICH AC97 Mixer (AD1981B) (Mixer 0 of device object 1)

 Audio devices
 Intel ICH6 (266E)                 /dev/oss/oss_ich0/pcm0  (device index 0)

   /dev/dsp -> /dev/oss/oss_ich0/pcm0
   /dev/dsp_in -> /dev/oss/oss_ich0/pcm0
   /dev/dsp_out -> /dev/oss/oss_ich0/pcm0
   /dev/dsp_ac3 -> /dev/oss/oss_ich0/pcm0
   /dev/dsp_mmap -> /dev/oss/oss_ich0/pcm0
   /dev/dsp_multich -> /dev/oss/oss_ich0/pcm0

The sound system works very well with all other applications I use.

- -- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (700, 'unstable'), (600, 'stable'), (500, 'oldstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux
Locale: LANG=de_DE, LC_CTYPE=de_DE (charmap=ISO-8859-1) (ignored: LC_ALL set to de_DE)
Shell: /bin/sh linked to /bin/dash

Versions of packages audacity depends on:
ii  audacity-data          1.3.9-6           A fast, cross-platform audio edito
ii  libasound2             1.0.21a-1         shared library for ALSA applicatio
ii  libc6                  2.10.1-1          GNU C Library: Shared libraries
ii  libexpat1              2.0.1-4           XML parsing C library - runtime li
ii  libflac++6             1.2.1-2+b1        Free Lossless Audio Codec - C++ ru
ii  libflac8               1.2.1-2+b1        Free Lossless Audio Codec - runtim
ii  libgcc1                1:4.4.2-1         GCC support library
ii  libglib2.0-0           2.22.2-2          The GLib library of C routines
ii  libgtk2.0-0            2.18.3-1          The GTK+ graphical user interface 
ii  libid3tag0             0.15.1b-10        ID3 tag reading library from the M
ii  libjack0               0.116.2+svn3592-3 JACK Audio Connection Kit (librari
ii  libmad0                0.15.1b-4         MPEG audio decoder library
ii  libogg0                1.1.4~dfsg-1      Ogg bitstream library
ii  libsamplerate0         0.1.7-3           Audio sample rate conversion libra
ii  libsndfile1            1.0.20-3          Library for reading/writing audio 
ii  libsoundtouch1c2       1.3.1-2           sound stretching library
ii  libstdc++6             4.4.2-1           The GNU Standard C++ Library v3
ii  libtwolame0            0.3.12-1          MPEG Audio Layer 2 encoding librar
ii  libvorbis0a            1.2.3-3           The Vorbis General Audio Compressi
ii  libvorbisenc2          1.2.3-3           The Vorbis General Audio Compressi
ii  libvorbisfile3         1.2.3-3           The Vorbis General Audio Compressi
ii  libwxbase2.8-0      wxBase library (runtime) - non-GUI
ii  libwxgtk2.8-0      wxWidgets Cross-platform C++ GUI t

Versions of packages audacity recommends:
ii  libavcodec52       5:0.5+svn20091001-0.0 library to encode decode multimedi
ii  libavformat52      5:0.5+svn20091001-0.0 ffmpeg file format library

Versions of packages audacity suggests:
ii  amb-plugins [ladspa-plugin]   0.3.0-1    ambisonics LADPSA plugins
ii  blop [ladspa-plugin]          0.2.8-5    Bandlimited wavetable-based oscill
ii  caps [ladspa-plugin]          0.4.2-1    C* Audio Plugin Suite
ii  cmt [ladspa-plugin]           1.16-1     a collection of LADSPA plugins
ii  ladspa-sdk [ladspa-plugin]    1.1-6      sample tools for linux-audio-dev p
ii  libmp3lame0                   3.98.2-0.5 LAME Ain't an MP3 Encoder
ii  mcp-plugins [ladspa-plugin]   0.3.0-4    LADSPA plugins designed for Alsa M
ii  omins [ladspa-plugin]         0.2.0-5    a collection of LADSPA plugins aim
ii  rev-plugins [ladspa-plugin]   0.3.1-1    greverb-like ladspa plugin
ii  swh-plugins [ladspa-plugin]   0.4.15+1-3 Steve Harris's LADSPA plugins
ii  tap-plugins [ladspa-plugin]   0.7.0-2    Tom's Audio Processing LADSPA plug
ii  vcf [ladspa-plugin]           0.0.5-5    audio EQ biquad filters for LADSPA
ii  vco-plugins [ladspa-plugin]   0.3.0-1    LADSPA plugin sporting anti-aliase

- -- no debconf information

- -- 
Klaus Ethgen                            http://www.ethgen.de/
pub  2048R/D1A4EDE5 2000-02-26 Klaus Ethgen <Klaus at Ethgen.de>
Fingerprint: D7 67 71 C4 99 A6 D4 FE  EA 40 30 57 3C 88 26 2B
Version: GnuPG v1.4.9 (GNU/Linux)


More information about the pkg-multimedia-maintainers mailing list